curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/returns' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface"
}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"id": "880e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface",
"status": "pending",
"updated_at": "2024-12-09T10:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Create a return
Create a return
POST
/
api
/
v1
/
returns
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/returns' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface"
}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"id": "880e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface",
"status": "pending",
"updated_at": "2024-12-09T10:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Request body
CreateReturnRequest
string (uuid)
required
Order UUID to create return for
string
required
Reason for the return (required)
Response
ApiResponse_ReturnSummary
object
Show data
Show data
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
201 | Return created |
400 | Invalid request |
curl --request POST \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/returns' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface"
}'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"id": "880e8400-e29b-41d4-a716-446655440000",
"order_id": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Product arrived damaged - scratches on surface",
"status": "pending",
"updated_at": "2024-12-09T10:30:00Z"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026